Module java.base
Package java.net

# Enum Class StandardProtocolFamily

java.lang.Object
java.lang.Enum<StandardProtocolFamily>
java.net.StandardProtocolFamily

All Implemented Interfaces:
  `Serializable`, `Comparable<StandardProtocolFamily>`, `Constable`, `ProtocolFamily`

public enum StandardProtocolFamily extends Enum<StandardProtocolFamily> implements ProtocolFamily
Defines the standard families of communication protocols.

Since:
  1.7

## Nested Class Summary

## Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INET`
Internet Protocol Version 4 (IPv4)
`INET6`
Internet Protocol Version 6 (IPv6)
`UNIX`
Unix domain (Local) interprocess communication.

## Method Summary

Modifier and Type
Method
Description
`static StandardProtocolFamily`
`valueOf​(String name)`
Returns the enum constant of this class with the specified name.
`static StandardProtocolFamily[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods declared in interface java.net.ProtocolFamily

`name`

## Enum Constant Details

### INET

public static final StandardProtocolFamily INET
Internet Protocol Version 4 (IPv4)

### INET6

public static final StandardProtocolFamily INET6
Internet Protocol Version 6 (IPv6)

### UNIX

public static final StandardProtocolFamily UNIX
Unix domain (Local) interprocess communication.

Since:
  16

## Method Details

### values

public static StandardProtocolFamily[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static StandardProtocolFamily valueOf​(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null